# Import

Operations for imports

## Start Customer-Specific Info import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/customerprices":{"post":{"tags":["import"],"summary":"Start Customer-Specific Info import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startCustomerSpecificPricingImport","parameters":[{"name":"cacheFlush","in":"query","description":"if true: causes a cache flush after a channel has been imported","required":false,"schema":{"type":"boolean","default":false}},{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"download","in":"query","description":"if true: causes the import file to be updated first. If no URL is stored in the FACT-Finder configuration, this parameter has no effect.","required":false,"schema":{"type":"boolean","default":false}},{"name":"importStage","in":"query","description":"IMPORT_ONLY only fills the intermediate DB, LOAD_ONLY imports that database into memory, and FULL combines both stages","required":false,"schema":{"type":"string","enum":["FULL","LOAD_ONLY","IMPORT_ONLY"],"default":"FULL"}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Start embedding import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/embedding":{"post":{"tags":["import"],"summary":"Start embedding import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startEmbeddingImport","parameters":[{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Start geo import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/geo":{"post":{"tags":["import"],"summary":"Start geo import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startGeoImport","parameters":[{"name":"cacheFlush","in":"query","description":"if true: causes a cache flush after a channel has been imported","required":false,"schema":{"type":"boolean","default":false}},{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"download","in":"query","description":"if true: causes the import file to be updated first. If no URL is stored in the FACT-Finder configuration, this parameter has no effect.","required":false,"schema":{"type":"boolean","default":false}},{"name":"importStage","in":"query","description":"IMPORT_ONLY only fills the intermediate DB, LOAD_ONLY imports that database into memory, and FULL combines both stages","required":false,"schema":{"type":"string","enum":["FULL","LOAD_ONLY","IMPORT_ONLY"],"default":"FULL"}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Start ranking import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/ranking":{"post":{"tags":["import"],"summary":"Start ranking import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startRankingImport","parameters":[{"name":"cacheFlush","in":"query","description":"if true: causes a cache flush after a channel has been imported","required":false,"schema":{"type":"boolean","default":false}},{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Start recommendation import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/recommendation":{"post":{"tags":["import"],"summary":"Start recommendation import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startRecommendationImport","parameters":[{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Refresh recommendation databases

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/refreshRecommendations":{"post":{"tags":["import"],"summary":"Refresh recommendation databases","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"refreshRecommendationDatabases","parameters":[{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Check if an import is running in any of the supplied channels

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/running":{"get":{"tags":["import"],"summary":"Check if an import is running in any of the supplied channels","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"isImportRunning","parameters":[{"name":"channel","in":"query","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Start search import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/search":{"post":{"tags":["import"],"summary":"Start search import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startSearchImport","parameters":[{"name":"cacheFlush","in":"query","description":"if true: causes a cache flush after a channel has been imported","required":false,"schema":{"type":"boolean","default":false}},{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"download","in":"query","description":"if true: causes the import file to be updated first. If no URL is stored in the FACT-Finder configuration, this parameter has no effect.","required":false,"schema":{"type":"boolean","default":false}},{"name":"importStage","in":"query","description":"IMPORT_ONLY only fills the intermediate DB, LOAD_ONLY imports that database into memory, and FULL combines both stages","required":false,"schema":{"type":"string","enum":["FULL","LOAD_ONLY","IMPORT_ONLY"],"default":"FULL"}},{"name":"includeCustomerPrices","in":"query","description":"if true: executes a Customer-Specific Info import after the search import. If Customer-Specific Info is not enabled for a given channel, this parameter has no effect.","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeGeo","in":"query","description":"if true: executes a geo import after the search import. If the geo module is not enabled for a given channel, this parameter has no effect.","required":false,"schema":{"type":"boolean","default":false}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```

## Start suggest import

> \<b>Required Roles\</b>: \<em>ApiImport\</em>

```json
{"openapi":"3.0.1","info":{"title":"FactFinder REST API","version":"v5"},"tags":[{"name":"import","description":"Operations for imports"}],"servers":[{"url":"https://vector-demo.fact-finder.de/fact-finder/","description":"Generated server url"}],"security":[{"basicAuth":[]},{"oAuth2":["import"]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"oAuth2":{"type":"oauth2","flows":{"password":{"tokenUrl":"oauth/token","scopes":{"public_queries":"","import":"","database":"","config":"","analytics":"","jobs":"","monitor":"","manage":"","users":""}}}}},"schemas":{"ImportChannelResult":{"required":["channel","durationInSeconds","errorMessages","importType","importedFields","startDate","statusMessages"],"type":"object","properties":{"channel":{"type":"string","description":"The channel for which the import was performed."},"durationInSeconds":{"type":"integer","description":"The duration of the import process (seconds).","format":"int64"},"errorMessages":{"type":"array","description":"Import error messages.","items":{"type":"string"}},"importType":{"type":"string","description":"The type of data imported.","enum":["DATA","SUGGEST","RECOMMENDATION","RANKING","CUSTOMER_SPECIFIC_PRICING","GEO","DATA_AND_PRICING","EMBEDDING"]},"importedFields":{"type":"integer","description":"The number of fields imported.","format":"int32"},"importedRecords":{"type":"integer","description":"The number of records imported.","format":"int32"},"importedWorldmatchDocuments":{"type":"integer","description":"The number of records imported into worldmatch.","format":"int32"},"startDate":{"type":"string","description":"The time and date that the import was started.","format":"date-time"},"statusMessages":{"type":"array","description":"Import status messages.","items":{"type":"string"}}}},"ApiError":{"required":["error"],"type":"object","properties":{"error":{"type":"string","description":"A short error description"},"errorDescription":{"type":"string","description":"A description of the error cause"},"stacktrace":{"type":"array","description":"The stacktrace from the error (will only be transmitted when the query parameter verbose=true was added to the request)","items":{"type":"string"}}},"description":"Contains information which will be returned when an error occurs."}}},"paths":{"/rest/v5/import/suggest":{"post":{"tags":["import"],"summary":"Start suggest import","description":"<b>Required Roles</b>: <em>ApiImport</em>","operationId":"startSuggestImport","parameters":[{"name":"channel","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"quiet","in":"query","description":"if true: only receive a filled response if an error occurs during the import otherwise the response is just empty","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ImportChannelResult"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fact-finder.com/api-reference/import.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
